> ## Documentation Index
> Fetch the complete documentation index at: https://docs.y.uno/llms.txt
> Use this file to discover all available pages before exploring further.

> ## Agent Instructions
> Test in the sandbox first: base URL https://api-sandbox.y.uno (Test Mode in the Dashboard). Production is https://api.y.uno (Live Mode).
> Every API request needs the public-api-key and private-secret-key headers. Get them in the Dashboard at https://dashboard.y.uno/developers (Developers > Credentials); sandbox and production keys are different.
> Send an X-Idempotency-Key (a UUID) when creating payments, refunds and cancels, so retries do not create duplicates.
> Start with the Quickstart (https://docs.y.uno/docs/quickstart.md) and the agent guide (https://docs.y.uno/agents.md). To search these docs from a coding agent, connect the docs MCP server at https://docs.y.uno/mcp.

# Listar todos los reportes

> Lista todos los reportes generados, ordenados por fecha de creación, del más reciente al más antiguo.

Esta solicitud puede usarse para listar todos los reportes. La lista de objetos se ordena de forma descendente por fecha de creación, y el objeto creado más recientemente aparece primero.


## OpenAPI

````yaml openapi/es/reports/list-all-reports.json GET /reports/list
openapi: 3.1.0
info:
  title: reports-api
  version: 1.0.2
servers:
  - url: https://api-sandbox.y.uno/v1
    description: Sandbox
  - url: https://api.y.uno/v1
    description: Production (US)
security:
  - sec0: []
    sec1: []
paths:
  /reports/list:
    get:
      summary: Listar todos los reportes
      operationId: list-all-reports
      parameters:
        - name: X-Organization-Code
          in: header
          required: true
          schema:
            type: string
          description: Código de la organización asociado a la solicitud.
        - name: account_id
          in: query
          description: >-
            Identificador único de la cuenta. Para solicitar la creación de un
            reporte con todas las cuentas, no envíes este parámetro. De lo
            contrario, indica todos los account_id que quieras incluir (MAX 64;
            MIN 36).
          schema:
            type: string
        - name: page_size
          in: query
          description: >-
            Límite de reportes que se obtendrán. Valor predeterminado 1 y máximo
            99 (MAX 2; MIN 1).
          schema:
            type: integer
            format: int32
        - name: page_number
          in: query
          required: false
          description: >-
            Página inicial de los reportes. Valor predeterminado 1 y máximo 10
            (MAX 2; MIN 1).
          schema:
            type: integer
            format: int32
            default: 1
        - name: start_date
          in: query
          description: Reportes creados en esta fecha o después (ISO 8601 MAX 27; MIN 27).
          schema:
            type: string
            format: date-time
        - name: end_date
          in: query
          description: Reportes creados en esta fecha o antes (ISO 8601 MAX 27; MIN 27).
          schema:
            type: string
            format: date-time
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    - id: 5104911d-5df9-229e-8468-bd41abea1
                      type: TRANSACTIONS
                      start_date: '2022-05-09T20:46:54.786342Z'
                      end_date: '2022-05-09T20:46:54.786342Z'
                      merchant_reference_id: Merchant_report_1234
                      created_at: '2022-05-16T20:46:54.786342Z'
                      updated_at: '2022-05-16T20:46:54.786342Z'
                      expires_at: '2022-05-16T20:46:54.786342Z'
                      status: SUCCEEDED
                    - id: 5104911d-5df9-229e-8468-bd41abea1
                      type: SETTLEMENTS
                      start_date: '2022-05-09T20:46:54.786342Z'
                      end_date: '2022-05-09T20:46:54.786342Z'
                      merchant_reference_id: Merchant_report_1234
                      created_at: '2022-05-16T20:46:54.786342Z'
                      updated_at: '2022-05-16T20:46:54.786342Z'
                      expires_at: '2022-05-16T20:46:54.786342Z'
                      status: DOWNLOADED
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                      example: 5104911d-5df9-229e-8468-bd41abea1
                    type:
                      type: string
                      example: TRANSACTIONS
                    start_date:
                      type: string
                      example: '2022-05-09T20:46:54.786342Z'
                    end_date:
                      type: string
                      example: '2022-05-09T20:46:54.786342Z'
                    merchant_reference_id:
                      type: string
                      example: Merchant_report_1234
                    created_at:
                      type: string
                      example: '2022-05-16T20:46:54.786342Z'
                    updated_at:
                      type: string
                      example: '2022-05-16T20:46:54.786342Z'
                    expires_at:
                      type: string
                      example: '2022-05-16T20:46:54.786342Z'
                    status:
                      type: string
                      example: SUCCEEDED
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Bad Request:
                  value:
                    code: INVALID_REQUEST
                    messages:
                      - Invalid request
              schema:
                type: object
                properties:
                  code:
                    type: string
                    example: INVALID_REQUEST
                  messages:
                    type: array
                    items:
                      type: string
                      example: Invalid request
        '401':
          description: '401'
          content:
            application/json:
              examples:
                Unauthorized:
                  value:
                    code: INVALID_CREDENTIALS
                    messages:
                      - Invalid credentials
              schema:
                type: object
                properties:
                  code:
                    type: string
                    example: INVALID_CREDENTIALS
                  messages:
                    type: array
                    items:
                      type: string
                      example: Invalid credentials
        '403':
          description: '403'
          content:
            application/json:
              examples:
                Forbidden:
                  value:
                    code: AUTHORIZATION_REQUIRED
                    messages:
                      - The merchant has no authorization to use this API.
              schema:
                type: object
                properties:
                  code:
                    type: string
                    example: AUTHORIZATION_REQUIRED
                  messages:
                    type: array
                    items:
                      type: string
                      example: The merchant has no authorization to use this API.
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: public-api-key
      x-default: <Your public-api-key>
    sec1:
      type: apiKey
      in: header
      name: private-secret-key
      x-default: <Your private-secret-key>

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.